
Redmine - Defect #1604

Provide a more meaningful error when running an earlier version of the svn client

2008-07-08 21:50 - Matthew Williams

Status: Closed Start date: 2008-07-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.7.1

Description

When running a version of the svn client below the required version you're only presented with the following error:

"The entry or revision was not found in the repository."

This error can be confusing and make it appear that your svn client isn't functioning correctly.

The code being executed is basic:

svn list --xml 'svn://host'@HEAD --username 'user' --password 'password'

When run manually from the command line this is the result:

Subcommand 'list' doesn't accept option '--xml'

Type 'svn help list' for usage.

I think it would be beneficial for a simple check to be implemented for a more meaningful error message.  As simple as a fix it is, I've

spent much time on the forums trying to correct this issue when moving platforms while assuming my svn client was up to date.  A

meaningful error message would have saved me a lot of time and trouble.

If time allows I will try to submit a patch myself.

Related issues:

Related to Redmine - Feature #4273: SCM command availability automatic check ... Closed 2009-11-23

Associated revisions

Revision 5636 - 2011-05-04 10:26 - Toshi MARUYAMA

scm: subversion: set available version above 1.3 (#4273, #1604).

"--xml" options are introduced in 1.3.

http://subversion.apache.org/docs/release-notes/1.3.html

History

#1 - 2011-05-04 10:29 - Toshi MARUYAMA

- Status changed from New to Closed

I added the feature of SCM command availability automatic check in administration panel in #4273 and set available version above 1.3 in r5636.

"--xml" options are introduced in 1.3.

http://subversion.apache.org/docs/release-notes/1.3.html
